# Create a partner

This API allows users to add new parties who can transact.

Endpoint: POST /v0/collections/partners
Version: 0.0.1
Security: Bearer

## Request fields (application/json):

  - `name` (string, required)
    Full name of the partner organization or individual
    Example: "Nigerian Imports Ltd."

  - `email` (string, required)
    Email address for partner communications
    Example: "nigerian@imports.com"

  - `external_reference_id` (string)
    External reference id for partner
    Example: "Ref-123"

  - `data` (object)

## Response 201 fields (application/json):

  - `id` (string, required)
    Unique identifier for the partner
    Example: "0c5479ff-3772-4123-b2b7-e679e71eb570"

  - `name` (string, required)
    Full name of the partner organization or individual
    Example: "Nigerian Imports Ltd."

  - `email` (string, required)
    Email address for partner communications
    Example: "nigerian@imports.com"

  - `external_reference_id` (string)
    External reference id for partner
    Example: "Ref-123"

  - `data` (object)

  - `status` (string, required)
    Partner status for collection links or channels
    Enum: "PENDING", "ON_HOLD", "FAILED", "ACTIVATED", "DEACTIVATED"

  - `reason` (string,null)
    Reason for current status (if applicable)

  - `created_at` (string, required)
    Timestamp when the partner was created
    Example: "2025-09-18T22:54:00.542Z"

  - `updated_at` (string, required)
    Timestamp when the partner was last updated
    Example: "2025-09-18T23:54:00.542Z"

## Response 400 fields (application/json):

  - `code` (string, required)
    Error code identifying the type of error

  - `reason` (string, required)
    Human-readable error message


